Subject: bug#27407: 25.2; SGR reset is ignored if it terminates Eshell's output

From: Pierre Neidhardt <[email-masked]>
Date: Sun, 18 Jun 2017 19:07:42 +0100

> My patch does not solve this scenario, but on the other hand, when I try
> this experiment in a terminal with bash, not putting a reset does give a
> coloured prompt, i.e., in the following the 2nd "~/src$" is in yellow:
>
>     ~/src$ echo $'\e[33mhello'
>     hello
>     ~/src$
>
> So should eshell really be any different?

Yes. Definitely. Eshell _already_ is very different and that's why we use
it. Bash is hardly a role model in the world of shells.

In the case of bash, the issue probably stems back from historical limitations
of VT* terminals. Something that does not make sense to emulate in modern
computers.

I don't see any use case for letting the SGR color the shell. If you want to
change you shell from a command, Elisp is your friend...

--
Pierre Neidhardt